Contents | Package | Class | Tree | Deprecated | Index | Help | XML for Java
PREV | NEXT | SHOW LISTS | HIDE LISTS |

# Class com.ibm.xml.parser.util.XHFactory

    java.lang.Object
        |
        +----com.ibm.xml.parser.DefaultElementFactory
                |
                +----com.ibm.xml.parser.util.XHFactory

public class XHFactory
extends DefaultElementFactory

A factory for HTML-like printing. Nodes produced by this factory print no XML declaration, no ``<!DOCTYPE...>`' and an internal DTD, not ``/>`' but ``>`' for EMPTY elements (i.e. ``<BR>`', ``<HR>`').

- All element names are uppercased
- All attribute names are lowercased

Version:
  1.1

Constructor Summary
XHFactory()

Method Summary
TXAttribute | createAttribute(java.lang.String name, java.lang.String value)
TXElement | createElement(java.lang.String name)
void | printDocument(TXDocument doc, java.io.PrintWriter pw, java.lang.String encoding, int indent)
void | printElement(TXElement el, java.io.PrintWriter pw, java.lang.String encoding, int indent)
void | printText(Text text, java.io.PrintWriter pw, java.lang.String encoding, int indent)

Methods inherited from class com.ibm.xml.parser.DefaultElementFactory
createAttDef, createAttlist, createAttribute, createAttributeList, createCDATA, createComment, createContentModel, createContentModel, createDocument, createDTD, createDTD, createElement, createElementDecl, createEntity, createEntity, createGeneralReference, createMessageDigest, createNamespacePI, createNotation, createPI, createStylesheetPI, createText, createText, createText, getInstance, makeDigest, print, printAttDef, printAttlist, printComment, printDocument, printDTD, printElement, printElementDecl, printEntity, printGeneralReference, printNotation, printPI, printPseudoNode, printText, setDigestAlgorithm, toString, toStringAttDef, toStringAttlist, toStringAttribute, toStringComment, toStringDocument, toStringDTD, toStringElement, toStringElementDecl, toStringEntity, toStringGeneralReference, toStringNotation, toStringPI, toStringPseudoNode, toStringText

Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

Constructor Detail

### XHFactory

    public XHFactory()

Method Detail

### createAttribute

    public TXAttribute createAttribute(java.lang.String name,
                                       java.lang.String value)

  Overrides:
    createAttribute in class DefaultElementFactory

### createElement

    public TXElement createElement(java.lang.String name)

  Overrides:
    createElement in class DefaultElementFactory

### printDocument

    public void printDocument(TXDocument doc,
                              java.io.PrintWriter pw,
                              java.lang.String encoding,
                              int indent)

### printElement

    public void printElement(TXElement el,
                             java.io.PrintWriter pw,
                             java.lang.String encoding,
                             int indent)

### printText

    public void printText(Text text,
                          java.io.PrintWriter pw,
                          java.lang.String encoding,
                          int indent)

Contents | Package | Class | Tree | Deprecated | Index | Help |
PREV | NEXT | SHOW LISTS | HIDE LISTS |